Bug 1471230 - [backport request] Multiple ExecStarts do no work properly
[backport request] Multiple ExecStarts do no work properly
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
7.3
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: systemd-maint
Frantisek Sumsal
:
Depends On:
Blocks: 1420851
  Show dependency treegraph
 
Reported: 2017-07-14 14:37 EDT by Frank Hirtz
Modified: 2017-11-16 08:13 EST (History)
3 users (show)

See Also:
Fixed In Version: systemd-219-47.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Hirtz 2017-07-14 14:37:56 EDT
What problem/issue/behavior are you having trouble with?  What do you expect to see?

Multiple ExecStarts don't work properly in the systemd version presently in RHEL7

Where are you experiencing the behavior?  What environment?

All systemd versions in RHEL7

When does the behavior occur? Frequently?  Repeatedly?   At certain times?

Repeatedly, always.

What information can you provide on timeframes and the business impact?

The client has to work around this my making wrapper scripts rather than using systemd as intended. 

To correct this, the client has requested that we backport the upstream fix outlined in:

https://github.com/systemd/systemd/issues/518

Via the commit in:

https://github.com/systemd/systemd/pull/5354

The client would be happy to validate if that's needed.
Comment 3 Lukáš Nykrýn 2017-11-09 10:20:17 EST
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/153 -> post

Note You need to log in before you can comment on or make changes to this bug.